local mod = ...



-- Building Asset Processor -------------------------------------------------------------------------------------
mod:registerAssetProcessor("models/Essentials1.fbx", { DataType = "BUILDING_ASSET_PROCESSOR" })



-- Assets -------------------------------------------------------------------------------------
mod:registerAssetId("models/Essentials1.fbx/Prefab/BuilderPart", "PREFAB_ESSENTIALS_BUILDER")
mod:registerAssetId("models/Essentials1.fbx/Prefab/ForagerPart", "PREFAB_ESSENTIALS_FORAGER")
mod:registerAssetId("models/Essentials1.fbx/Prefab/TrapperPart", "PREFAB_ESSENTIALS_TRAPPER")
mod:registerAssetId("models/Essentials1.fbx/Prefab/WoodcutterPart", "PREFAB_ESSENTIALS_WOODCUTTER")
mod:registerAssetId("models/Essentials1.fbx/Prefab/FirePart", "PREFAB_ESSENTIALS_FIRE")
mod:registerAssetId("models/Essentials1.fbx/Prefab/PreacherPart", "PREFAB_ESSENTIALS_PREACHER")



-- Paths: Forager
mod:registerAssetId("models/Essentials1.fbx/Prefab/ForagerPart/PATH_B_1", "FORAGER_PATHB1")
mod:registerAssetId("models/Essentials1.fbx/Prefab/ForagerPart/PATH_C_1", "FORAGER_PATHC1")
mod:registerAssetId("models/Essentials1.fbx/Prefab/ForagerPart/PATH_D_1", "FORAGER_PATHD1")
mod:registerAssetId("models/Essentials1.fbx/Prefab/ForagerPart/PATH_I_1", "FORAGER_PATHI1")

mod:registerPrefabComponent("models/Essentials1.fbx/Prefab/ForagerPart", {
    DataType = "COMP_BUILDING_PART",
    PathList = {
        {
            PathType = BUILDING_PATH_TYPE.DEFAULT,
            WayPointList = { "FORAGER_PATHB1" }
        },
        {
            PathType = BUILDING_PATH_TYPE.PICKUP,
            WayPointList = { "FORAGER_PATHC1" }
        },
        {
            PathType = BUILDING_PATH_TYPE.PICKUP,
            WayPointList = { "FORAGER_PATHD1" }
        },
        {
            PathType = BUILDING_PATH_TYPE.PICKUP,
            WayPointList = { "FORAGER_PATHI1" }
        },
    }
})



-- Paths: Woodcutter
mod:registerAssetId("models/Essentials1.fbx/Prefab/WoodcutterPart/PATH_R_1", "WOODCUTTER_PATHR1")
mod:registerAssetId("models/Essentials1.fbx/Prefab/WoodcutterPart/PATH_S_1", "WOODCUTTER_PATHS1")
mod:registerAssetId("models/Essentials1.fbx/Prefab/WoodcutterPart/PATH_T_1", "WOODCUTTER_PATHT1")
mod:registerAssetId("models/Essentials1.fbx/Prefab/WoodcutterPart/PATH_U_1", "WOODCUTTER_PATHU1")

mod:registerPrefabComponent("models/Essentials1.fbx/Prefab/WoodcutterPart", {
    DataType = "COMP_BUILDING_PART",
    PathList = {
        {
            PathType = BUILDING_PATH_TYPE.DEFAULT,
            WayPointList = { "WOODCUTTER_PATHR1" }
        },
        {
            PathType = BUILDING_PATH_TYPE.PICKUP,
            WayPointList = { "WOODCUTTER_PATHS1" }
        },
        {
            PathType = BUILDING_PATH_TYPE.PICKUP,
            WayPointList = { "WOODCUTTER_PATHT1" }
        },
        {
            PathType = BUILDING_PATH_TYPE.PICKUP,
            WayPointList = { "WOODCUTTER_PATHU1" }
        },
    }
})



-- Paths: Trapper
mod:registerAssetId("models/Essentials1.fbx/Prefab/TrapperPart/PATH_A_1", "TRAPPER_PATHA1")
mod:registerAssetId("models/Essentials1.fbx/Prefab/TrapperPart/PATH_A_2", "TRAPPER_PATHA2")
mod:registerAssetId("models/Essentials1.fbx/Prefab/TrapperPart/PATH_Q_1", "TRAPPER_PATHQ1")
mod:registerAssetId("models/Essentials1.fbx/Prefab/TrapperPart/PATH_Q_2", "TRAPPER_PATHQ2")

mod:registerPrefabComponent("models/Essentials1.fbx/Prefab/TrapperPart", {
    DataType = "COMP_BUILDING_PART",
    PathList = {
        {
            PathType = BUILDING_PATH_TYPE.DEFAULT,
            WayPointList = { "TRAPPER_PATHA1", "TRAPPER_PATHA2" }
        },
        {
            PathType = BUILDING_PATH_TYPE.PICKUP,
            WayPointList = { "TRAPPER_PATHQ1", "TRAPPER_PATHQ2" }
        },
    }
})



-- Paths: Preacher
mod:registerAssetId("models/Essentials1.fbx/Prefab/PreacherPart/PATH_V_1", "PREACHER_PATHV1")
mod:registerAssetId("models/Essentials1.fbx/Prefab/PreacherPart/PATH_V_2", "PREACHER_PATHV2")
mod:registerAssetId("models/Essentials1.fbx/Prefab/PreacherPart/PATH_V_3", "PREACHER_PATHV3")
mod:registerAssetId("models/Essentials1.fbx/Prefab/PreacherPart/PATH_W_1", "PREACHER_PATHW1")
mod:registerAssetId("models/Essentials1.fbx/Prefab/PreacherPart/PATH_W_2", "PREACHER_PATHW2")

mod:registerPrefabComponent("models/Essentials1.fbx/Prefab/PreacherPart", {
    DataType = "COMP_BUILDING_PART",
    PathList = {
        {
            PathType = BUILDING_PATH_TYPE.DEFAULT,
            WayPointList = { "PREACHER_PATHV1", "PREACHER_PATHV2", "PREACHER_PATHV3" }
        },
        {
            PathType = BUILDING_PATH_TYPE.PICKUP,
            WayPointList = { "PREACHER_PATHW1", "PREACHER_PATHW2" }
        },
    }
})



-- Paths: Fire
mod:registerAssetId("models/Essentials1.fbx/Prefab/FirePart/PATH_F_1", "FIRE_PATHF1")
mod:registerAssetId("models/Essentials1.fbx/Prefab/FirePart/PATH_G_1", "FIRE_PATHG1")
mod:registerAssetId("models/Essentials1.fbx/Prefab/FirePart/PATH_H_1", "FIRE_PATHH1")
mod:registerAssetId("models/Essentials1.fbx/Prefab/FirePart/PATH_J_1", "FIRE_PATHJ1")

mod:registerPrefabComponent("models/Essentials1.fbx/Prefab/FirePart", {
    DataType = "COMP_BUILDING_PART",
    PathList = {
        {
            PathType = BUILDING_PATH_TYPE.DEFAULT,
            WayPointList = { "FIRE_PATHF1" }
        },
        {
            PathType = BUILDING_PATH_TYPE.DEFAULT,
            WayPointList = { "FIRE_PATHG1" }
        },
        {
            PathType = BUILDING_PATH_TYPE.PICKUP,
            WayPointList = { "FIRE_PATHH1" }
        },
        {
            PathType = BUILDING_PATH_TYPE.PICKUP,
            WayPointList = { "FIRE_PATHJ1" }
        },
    }
})



-- Building: Frontier Essentials -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "BUILDING", 
	Id = "BUILDING_ESSENTIALS",
	Name = "BUILDING_ESSENTIALS_NAME",
	Description = "BUILDING_ESSENTIALS_DESC",
	BuildingType = "MODS",
	AssetCoreBuildingPart = "BUILDING_PART_MONUMENT_POLE",
	IsEditable = true,
	BuildingPartSetList = {
		{
			Name = "BUILDING_SET_ESSENTIALS1_NAME",
			BuildingPartList = { 
				"BUILDING_PART_ESSENTIALS_BUILDER",
				"BUILDING_PART_ESSENTIALS_FORAGER",
				"BUILDING_PART_ESSENTIALS_TRAPPER",
				"BUILDING_PART_ESSENTIALS_PREACHER",
			}
		},
    }
})


