local mod = ...



-- Building: Frontier Essentials (Override) -------------------------------------------------------------------------------------
mod:overrideAsset({
	Id = "BUILDING_ESSENTIALS",
	BuildingPartSetList = {
		Action = "APPEND",
		{
			Name = "BUILDING_SET_ESSENTIALS1_NAME",
			BuildingPartList = { 
				Action = "APPEND",
				"BUILDING_PART_ESSENTIALS_FIRE",
			}
		},
    }
})



-- Building Part: Fire -------------------------------------------------------------------------------------
-- This is an assemblage of RaisinMuff1n's campfire and my own object which adds the paths and job
mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_ESSENTIALS_FIRE_ASSEMBLAGE",
	Name = "BUILDING_PART_ESSENTIALS_FIRE_NAME", 
	Description = "BUILDING_PART_ESSENTIALS_FIRE_DESC",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_ASSEMBLAGE",
		CoreRandomBuildingPartList = { "PREFAB_ESSENTIALS_FIRE" },
		MandatoryBuildingPartList = {
			{ BuildingPart = "CAMPFIRE_ON_FIRE_PART" },
			{ BuildingPart = "COOKING_POT_PART" },
		}
	},
})

mod:registerAsset({
	DataType = "BUILDING_PART",
	Id = "BUILDING_PART_ESSENTIALS_FIRE",
	Name = "BUILDING_PART_ESSENTIALS_FIRE_NAME", 
	Description = "BUILDING_PART_ESSENTIALS_FIRE_DESC",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_RANDOM_PART",
		RandomPartList = {
			"BUILDING_PART_ESSENTIALS_FIRE_ASSEMBLAGE",
        },
        MiniatureConfig = {
            ClipUnderGround = true,
            GroupHeight = 0.0,
            CameraPosition = { 0, 0, 0 },
            OrientationOffset = -90.0,
            CameraPitchOffset = 0.0
        },	},
	BuildingZone = { 
        ZoneEntryList = {
            { 
                Polygon = polygon.createCircle( 0.75, {0, 0}, 8 ),
                Type = { DEFAULT = true, NAVIGABLE = true, GRASS_CLEAR = false } 
			},
		}
	},
	AssetBuildingFunction = "BUILDING_FUNCTION_ESSENTIALS_FIRE",
	Cost = {
        BuildRightTaxes = {	{ Resource = "GOLD_COINS", Quantity = 1 } },
        UpkeepCost = { { Resource = "GOLD_COINS", Quantity = 1 } },
        ResourceNeededList = {
            {
                { Resource = "WOOD", Quantity = 1 },
                { Resource = "TOOL", Quantity = 1 },
            },
		}
	}
})



-- Building Function: Fire -------------------------------------------------------------------------------------
mod:registerAsset({
    DataType = "BUILDING_FUNCTION_MARKET",
    Id = "BUILDING_FUNCTION_ESSENTIALS_FIRE",
	Name = "BUILDING_FUNCTION_ESSENTIALS_FIRE_NAME",
	IsPrivate = false,
    WorkerCapacity = 1,
    RelatedJob = { 
        Job = "JOB_ESSENTIALS_FIRE", 
        Behavior = "BEHAVIOR_GATHER"
	},
	TypeList = { "RESOURCE_TYPE_SECURITY" },
	IsOverrideCapacity = true,
	CapacityPerSlot = 10,
	-- HasMaximumInstance = true,
	-- MaximumInstanceAllowed = 2,
	InputInventoryCapacity = {
		{ Resource = "WOOD", Quantity = 1 },
	},
    ResourceListNeeded = {
		{ Resource = "WOOD", Quantity = 1 },
	},
	ResourceProduced = {
		{ Resource = "RESOURCE_SECURITY", Quantity = 1 },
	}
})



-- Job: Fire -------------------------------------------------------------------------------------
mod:registerAsset({
	DataType = "JOB",
	Id = "JOB_ESSENTIALS_FIRE",
	JobName = "JOB_ESSENTIALS_FIRE_NAME",
	JobDescription = "JOB_ESSENTIALS_FIRE_DESC",
	IsLockedByDefault = false,
	DefaultBehavior = "BEHAVIOR_GATHER",
	-- UseWorkplaceBehavior = true,
    ProductionDelay = 20.0, -- default 30
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
	RelatedZone = "EXTRACTION",
	CharacterSetup = {
		DataType = "CHARACTER_SETUP", 
		RightHandObject = {
			DataType = "HAND_OBJECT",
			Model = "PREFAB_TOOL_WOODCUTTER_AXE"
		},
		WalkAnimation = "WALKING",
		IdleAnimation = "LUMBERING"
	}
})

mod:overrideAsset({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_ESSENTIALS_FIRE"
    }
})

mod:overrideAsset({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_ESSENTIALS_FIRE"
    }
})


